Skip to main content
POST
/
v1
/
jobs
/
generation-v2
cURL
curl --request POST \
  --url https://api.haiper.ai/v1/jobs/generation-v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "is_public": true,
  "negative_prompt": "<string>",
  "config": {
    "source_image": "<string>",
    "camera_movement": "<string>"
  },
  "settings": {
    "seed": 123,
    "aspect_ratio": "<string>",
    "duration": 123
  }
}
'
{
  "status": "<string>",
  "value": {
    "generation_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The information to create video

prompt
string
required

The prompt of the generation

is_public
boolean

Whether is generation be public on Haiper Platform, please set to false if you will to keep it private. The default value is true

negative_prompt
string

The negative prompt of the generation

config
object
settings
object

Response

status
string
required
value
object